{
	saved_yet [0]

	Init[ ()
	{
		if( saved_yet = 0 )
		{
			saved_yet = 1;
			SetUsable( true );
			SetUseText( 119 );
		}
	} ]

	OnUse[ ()
	{
		if (Level.GetPlayer().NeedsHealth())
		{
			Level.GetPlayer().AddHealth( 512 );

			if( Level.saved_NumPacks < Level.MaxPacks ){
				Level.saved_NumPacks = toInt( Level.saved_NumPacks + 1 );
			}else{
				DestroyObject( self );
			}
		}
	} ]
}